wordpress WP_Image_Editor_Imagick 指令注入漏洞暂时性解决方法

/ 7评 / 0

气势我没装这个库,不过不知道是不是阿里云为了让买安骑士专业版而搞的,看这提示不舒服,那就来修复下吧(暂时)

在/wp-includes/media.php的_wp_image_editor_choose函数内部找到:

<code>$implementations = apply_filters( 'wp_image_editors', array( 'WP_Image_Editor_Imagick' ,  'WP_Image_Editor_GD' ) ); </code>

修改为下面这行:(即调换最后数组的顺序)

 
<code>$implementations = apply_filters( 'wp_image_editors', array(  'WP_Image_Editor_GD' ,'WP_Image_Editor_Imagick' ) ); </code>

7 responses to “wordpress WP_Image_Editor_Imagick 指令注入漏洞暂时性解决方法”

  1. QQ923511230 says:

    博客不错,嘎嘎!

  2. 灰常记忆 says:

    WP更新很快的~ 阿里云我现在都没正式用过

  3. 个人博客 says:

    好吧、你这一层一层的

  4. caotama says:

    交换友情链接吗?
    百何

Leave a Reply

Your email address will not be published. Required fields are marked *